mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
    type: vmess
    server: v24.hdacd.com
    port: 30824
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大
    type: ss
    server: 35.183.126.173
    port: 443
    cipher: aes-256-cfb
    password: amazonskr05
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.42
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.45
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_3
    type: trojan
    server: 103.177.136.45
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇮🇷_IR_伊朗->🇩🇪_DE_德国
    type: vmess
    server: nlt.reata.ir
    port: 1020
    uuid: 6244c41a-f4c1-4733-a654-c38f7729b13c
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国
    type: vless
    server: 104.19.35.133
    port: 8443
    uuid: 0137ab09-0728-4c44-8dc4-f2ac1847bffd
    network: ws
    servername: cfoo-n0d.pages.dev
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /proxyip=159.60.146.82,159.60.146.81
      headers:
        Host: cfoo-n0d.pages.dev
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国_1
    type: vless
    server: 104.17.213.252
    port: 2087
    uuid: 0137ab09-0728-4c44-8dc4-f2ac1847bffd
    network: ws
    servername: cfoo-n0d.pages.dev
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /proxyip=159.60.146.82,159.60.146.81
      headers:
        Host: cfoo-n0d.pages.dev
    skip-cert-verify: true
    udp: true
  - name: 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
    type: vless
    server: cdn7-09.vk-cdnvideo.com
    port: 8443
    uuid: 931729a8-3c20-4841-89a1-f18dc9ce0a6f
    tls: true
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国_2
    type: vless
    server: 104.16.150.228
    port: 2096
    uuid: 0137ab09-0728-4c44-8dc4-f2ac1847bffd
    network: ws
    servername: cfoo-n0d.pages.dev
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /proxyip=159.60.146.82,159.60.146.81
      headers:
        Host: cfoo-n0d.pages.dev
    skip-cert-verify: true
    udp: true
  - name: 🇸🇬_SG_新加坡->🇩🇪_DE_德国
    type: vless
    server: 43.174.246.27
    port: 443
    uuid: 317c8bd5-2e89-4bfb-9513-a37b8e29427f
    network: ws
    servername: sni.mmadcoffee.info
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /19426/mmad
      headers:
        Host: mail.mmadcoffee.info
    skip-cert-verify: true
    udp: true
  - name: 🇫🇮_FI_芬兰
    type: vless
    server: 45.144.52.70
    port: 443
    uuid: 65883d76-d618-4530-99bf-f4fd32574ae9
    servername: fl-modx.webedg.net
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: MuQH546CBdgYVBzNU_F5fimkbQ0srHxgLKDjl1Wz2Rw
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_4
    type: trojan
    server: 103.177.136.42
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
  - name: 🇨🇦_CA_加拿大_5
    type: trojan
    server: 103.177.136.42
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国_3
    type: vless
    server: 104.17.165.183
    port: 443
    uuid: 0137ab09-0728-4c44-8dc4-f2ac1847bffd
    network: ws
    servername: cfoo-n0d.pages.dev
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /proxyip=159.60.146.82,159.60.146.81
      headers:
        Host: cfoo-n0d.pages.dev
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
    type: trojan
    server: 103.177.136.42
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇭🇰_HK_中国香港
    type: vmess
    server: 103.143.238.196
    port: 21879
    uuid: 1e1a6b3b-14b2-4ae4-9aa9-880ba5dff6fa
    alterId: 0
    cipher: auto
    tls: true
    skip-cert-verify: true
    servername: 103.143.238.196
    network: ws
    ws-opts:
      path: /vmesswss
    udp: true
  - name: 🇨🇦_CA_加拿大_6
    type: trojan
    server: 103.177.136.45
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.45
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_7
    type: trojan
    server: 103.177.136.42
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国_4
    type: ss
    server: 198.98.53.130
    port: 443
    cipher: chacha20-ietf-poly1305
    password: eDfN7SODQceIOmIAbtJJtK
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: 45.137.198.160
    port: 443
    uuid: 53fa63a6-47d0-4df6-acb9-023a83ada61a
    servername: nl-rh-modx.webedg.net
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: _1Z829fxl3oG_04DtAWpNtPbnwu0Y4n8C7bIwgCi8ww
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港->🇺🇸_US_美国
    type: vmess
    server: 103.182.97.12
    port: 30824
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇳_CN_中国
    type: ss
    server: 61.171.92.202
    port: 1001
    cipher: aes-256-gcm
    password: "123"
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国_5
    type: vless
    server: 104.18.36.245
    port: 2053
    uuid: 0137ab09-0728-4c44-8dc4-f2ac1847bffd
    network: ws
    servername: cfoo-n0d.pages.dev
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /proxyip=159.60.146.82,159.60.146.81
      headers:
        Host: cfoo-n0d.pages.dev
    skip-cert-verify: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇮🇩_ID_印度尼西亚->🇺🇸_US_美国
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大_3
      - 🇮🇷_IR_伊朗->🇩🇪_DE_德国
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇩🇪_DE_德国->🇭🇺_HU_匈牙利
      - 🇺🇸_US_美国_2
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇫🇮_FI_芬兰
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇭🇰_HK_中国香港
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大_7
      - 🇺🇸_US_美国_4
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇨🇳_CN_中国
      - 🇺🇸_US_美国_5
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
